package com.ematou.wxservice.mp.handler;

import com.ematou.wxservice.mp.message.WeChatMessage;
import com.ematou.wxservice.mp.message.WeChatMpXmlOutMessage;
import com.ematou.wxservice.mp.message.WeChatMpXmlOutNewsMessage;
import org.springframework.stereotype.Component;

/**
 * 关注事件
 * @author lhm
 * @version 1.0
 * 2021-05-14 17:04
 */
@Component
public class WeChatSubscribeEventHandler implements WeChatMessageHandler {

    /**
     * 处理消息，并封装返回消息
     *
     * @param weChatMessage 接收到的消息
     * @return 响应消息
     */
    @Override
    public WeChatMpXmlOutMessage handlerMessage(WeChatMessage weChatMessage) {

        WeChatMpXmlOutNewsMessage.Item item = new WeChatMpXmlOutNewsMessage.Item();
        item.setTitle("欢迎关注【e码头】");
        item.setDescription(">>>点击绑定手机号,立即取件/寄件!");
        item.setPicUrl("https://wxservice.ds-bay.com/images/emtnew.png");
        item.setUrl("https://wxservice.ds-bay.com/view/binding?openid="+weChatMessage.getFromUser());
        return WeChatMpXmlOutMessage.NEWS().addArticle(item).toUser(weChatMessage.getFromUser()).fromUser(weChatMessage.getToUser()).build();
       }

}
